No Description
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

S42ifplugd 673B

123456789101112131415161718192021222324252627282930313233343536373839
  1. #! /bin/sh
  2. NAME=ifplugd
  3. DAEMON=/usr/sbin/$NAME
  4. # Gracefully exit if the package has been removed.
  5. test -x $DAEMON || exit 0
  6. # Read config file if it is present.
  7. if [ -r /etc/default/$NAME ]
  8. then
  9. . /etc/default/$NAME
  10. fi
  11. case "$1" in
  12. start)
  13. printf "Starting $NAME: "
  14. start-stop-daemon -S -q -x $DAEMON
  15. [ $? = 0 ] && echo "OK" || echo "FAIL"
  16. ;;
  17. stop)
  18. printf "Stopping $NAME: "
  19. start-stop-daemon -K -q -n $NAME
  20. [ $? = 0 ] && echo "OK" || echo "FAIL"
  21. ;;
  22. restart|reload)
  23. echo "Restarting $NAME: "
  24. $0 stop
  25. sleep 1
  26. $0 start
  27. ;;
  28. *)
  29. echo "Usage: $0 {start|stop|restart|reload}" >&2
  30. exit 1
  31. ;;
  32. esac
  33. exit 0